package sgc.portal.cw.cw0304.web;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.com.auth.model.PrvtinfoFindHist;
import sgc.portal.com.auth.model.SmComHdlgAuth;
import sgc.portal.com.auth.service.ComBusiHandleAuthMngService;
import sgc.portal.com.auth.service.MaskingDesabledService;
import sgc.portal.cw.cw0303.service.CW03030001UService;
import sgc.portal.cw.cw0304.dto.CW03040001USearch;
import sgc.portal.cw.cw0304.model.CW03040001U;
import sgc.portal.cw.cw0304.service.CW03040001UService;

import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/cw/cw0304")
public class CW03040001UController {
	
	private final CW03040001UService service;

    public CW03040001UController(CW03040001UService service) {
        this.service = service;
    }
	
	//고충접수처리	 조회
    @PostMapping("/CW03040001U/selectProblemProcessList")
    public List<EasyHashMap<String, Object>> selectProblemProcessList(@RequestBody CW03040001USearch search) {
        return service.selectProblemProcessList(search);
    }
    
    //고충접수처리	
  	@PostMapping("/CW03040001U/saveProblemProcessList")
	public void saveProblemProcessList(@RequestBody CW03040001U cW03040001U) {
  		service.saveProblemProcessList(cW03040001U);
	}
  	
  	//고충접수
  	@PostMapping("/CW03040001U/updateProblemProcessReceipt")
	public void updateProblemProcessReceipt(@RequestBody CW03040001U cW03040001U) {
  		service.updateProblemProcessReceipt(cW03040001U);
	}
  	
  	//공개여부
  	@PostMapping("/CW03040001U/updateProblemProcessOpen")
	public void updateProblemProcessOpen(@RequestBody CW03040001U cW03040001U) {
  		service.updateProblemProcessOpen(cW03040001U);
	}
  	
  	//메일테스트	
  	/*@PostMapping("/CW03040001U/mailTest")
	public void mailTest(@RequestBody CW03040001U cW03040001U) {
  		service.mailTest(cW03040001U);
	}*/
}
